## ros-one-gazebo-ros-control 2.9.3-0jammy.20251023.1025

=== debian/changelog ===
ros-one-gazebo-ros-control (2.9.3-0jammy.20251023.1025) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Thu, 23 Oct 2025 10:25:15 +0000

ros-one-gazebo-ros-control (2.9.3-0jammy) jammy; urgency=high

  * Noetic: Add <deprecated> tag to package.xml files (#1566 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1566>)
    These packages are now deprecated with Gazebo classic 11 reaching
    end-of-life. This adds the <deprecated> tag (https://www.ros.org/reps/rep-0149.html#deprecated)
    enabling tools to notify users about the deprecation.
  * Typo in error message (#1564 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1564>)
  * Add ahcorde as maintainer (noetic-devel) (#1437 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1437>)
  * Contributors: Addisu Z. Taddese, DaWiz, Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 26 Feb 2025 00:00:00 -0000

ros-one-gazebo-ros-control (2.9.2-0jammy) jammy; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1135 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1135>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
  * Contributors: Steve Peters

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 21 Apr 2021 00:00:00 -0000

ros-one-gazebo-ros-control (2.9.1-0jammy) jammy; urgency=high



 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 20 May 2020 00:00:00 -0000

ros-one-gazebo-ros-control (2.9.0-0jammy) jammy; urgency=high

  * restrict Windows header namespace. (#1023 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1023>)
  * [Windows][melodic-devel] more Windows build break fix (#975 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/975>)
    * Fix CMake install error for Windows build.
    * conditionally include <sys/time.h>
  * Contributors: Sean Yen

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.5-0jammy) jammy; urgency=high

  * use C++11 std sleep instead of usleep. (#877 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/877>)
  * Lower minimum cmake version (#817 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/817>)
  * Contributors: Paul Bovbel, Sean Yen [MSFT]

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Tue, 04 Jun 2019 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.4-0jammy) jammy; urgency=high



 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Fri, 06 Jul 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.3-0jammy) jammy; urgency=high

  * Remove legacy in gazebo_ros_control for robotNamespace (#709 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/709>)
    See pull request #637 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/637>
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 04 Jun 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.2-0jammy) jammy; urgency=high

  * Fix the build on Ubuntu Artful. (#715 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/715>)
    Artful has some bugs in its cmake files for Simbody that
    cause it to fail the build.  If we are on artful, remove
    the problematic entries.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.1-0jammy) jammy; urgency=high

  * Don't ignore robotNamespace in gazebo_ros_control nodes (lunar-devel) (#706 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/706>)
    This commit restores the intended behavior, i.e., the parameters will now read from <robot_name>/..., where <robot_name> is specified via the robotNamespace plugin parameter or the parent name.
  * add physics type for dart with joint velocity interface (#701 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/701>)
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sat, 05 May 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.4-0jammy) jammy; urgency=high

  * Fix last gazebo8 warnings! (lunar-devel) (#664 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/664>)
  * Fix gazebo8 warnings part 7: retry #642 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/642> on lunar (#660 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/660>)
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.3-0jammy) jammy; urgency=high

  * Replace Events::Disconnect* with pointer reset (#626 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/626>)
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 11 Dec 2017 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.2-0jammy) jammy; urgency=high

  * Revert gazebo8 changes in Lunar and back to use gazebo7 (#583 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/583>)
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sun, 21 May 2017 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.1-0jammy) jammy; urgency=high

  * Fixes for compilation and warnings in Lunar-devel  (#573 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/573>)
    Multiple fixes for compilation and warnings coming from Gazebo8 and ignition-math3


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-gazebo-ros-control//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-gazebo-ros-control 2.9.3-0jammy.20260221.2153

=== debian/changelog ===
ros-one-gazebo-ros-control (2.9.3-0jammy.20260221.2153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sat, 21 Feb 2026 21:53:46 +0000

## ros-one-gazebo-ros-control 2.9.3-0noble.20251023.1043

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(gazebo_ros_control)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  gazebo_dev
  roscpp
  std_msgs
  control_toolbox
  controller_manager
  hardware_interface
  transmission_interface
  pluginlib
  joint_limits_interface
  urdf
  angles
)

# Through transitive dependencies in the packages above, gazebo_ros_control
# depends on Simbody.  There is a bug in the Ubuntu Artful (17.10) version of
# the Simbody package where it includes /usr/lib/libblas.so and
# /usr/lib/liblapack.so in the CMake list of libraries even though neither of
# those two paths exist (they both really live in /usr/lib/<arch>-linux-gnu).
# We remove these two during build-time on artful below; this works because
# they both will get resolved to the proper paths during runtime linking.
find_program(LSB_RELEASE_EXEC lsb_release)
if(NOT LSB_RELEASE_EXEC STREQUAL "LSB_RELEASE_EXEC-NOTFOUND")
  execute_process(COMMAND ${LSB_RELEASE_EXEC} -cs
    OUTPUT_VARIABLE OS_CODENAME
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  if(OS_CODENAME STREQUAL "artful")
    list(FILTER catkin_LIBRARIES EXCLUDE REGEX "/usr/lib/libblas.so")
    list(FILTER catkin_LIBRARIES EXCLUDE REGEX "/usr/lib/liblapack.so")
  endif()
endif()

catkin_package(
  CATKIN_DEPENDS
    roscpp
    std_msgs
    controller_manager
    control_toolbox
    pluginlib
    hardware_interface
    transmission_interface
    joint_limits_interface
    urdf
    angles
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} default_robot_hw_sim
)

link_directories(
  ${catkin_LIBRARY_DIRS}
)

include_directories(include
  ${Boost_INCLUDE_DIR}
  ${catkin_INCLUDE_DIRS}
)

## Restrict Windows header namespace usage
if(WIN32)
  add_definitions(-DNOGDI)
endif()

## Libraries
add_library(${PROJECT_NAME} src/gazebo_ros_control_plugin.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

add_library(default_robot_hw_sim src/default_robot_hw_sim.cpp)
target_link_libraries(default_robot_hw_sim ${catkin_LIBRARIES})

## Install
install(TARGETS ${PROJECT_NAME} default_robot_hw_sim
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES robot_hw_sim_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-gazebo-ros-control (2.9.3-0noble.20251023.1043) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Thu, 23 Oct 2025 10:43:31 +0000

ros-one-gazebo-ros-control (2.9.3-0noble) noble; urgency=high

  * Noetic: Add <deprecated> tag to package.xml files (#1566 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1566>)
    These packages are now deprecated with Gazebo classic 11 reaching
    end-of-life. This adds the <deprecated> tag (https://www.ros.org/reps/rep-0149.html#deprecated)
    enabling tools to notify users about the deprecation.
  * Typo in error message (#1564 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1564>)
  * Add ahcorde as maintainer (noetic-devel) (#1437 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1437>)
  * Contributors: Addisu Z. Taddese, DaWiz, Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 26 Feb 2025 00:00:00 -0000

ros-one-gazebo-ros-control (2.9.2-0noble) noble; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1135 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1135>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
  * Contributors: Steve Peters

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 21 Apr 2021 00:00:00 -0000

ros-one-gazebo-ros-control (2.9.1-0noble) noble; urgency=high



 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 20 May 2020 00:00:00 -0000

ros-one-gazebo-ros-control (2.9.0-0noble) noble; urgency=high

  * restrict Windows header namespace. (#1023 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1023>)
  * [Windows][melodic-devel] more Windows build break fix (#975 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/975>)
    * Fix CMake install error for Windows build.
    * conditionally include <sys/time.h>
  * Contributors: Sean Yen

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.5-0noble) noble; urgency=high

  * use C++11 std sleep instead of usleep. (#877 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/877>)
  * Lower minimum cmake version (#817 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/817>)
  * Contributors: Paul Bovbel, Sean Yen [MSFT]

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Tue, 04 Jun 2019 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.4-0noble) noble; urgency=high



 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Fri, 06 Jul 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.3-0noble) noble; urgency=high

  * Remove legacy in gazebo_ros_control for robotNamespace (#709 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/709>)
    See pull request #637 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/637>
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 04 Jun 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.2-0noble) noble; urgency=high

  * Fix the build on Ubuntu Artful. (#715 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/715>)
    Artful has some bugs in its cmake files for Simbody that
    cause it to fail the build.  If we are on artful, remove
    the problematic entries.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Wed, 09 May 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.8.1-0noble) noble; urgency=high

  * Don't ignore robotNamespace in gazebo_ros_control nodes (lunar-devel) (#706 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/706>)
    This commit restores the intended behavior, i.e., the parameters will now read from <robot_name>/..., where <robot_name> is specified via the robotNamespace plugin parameter or the parent name.
  * add physics type for dart with joint velocity interface (#701 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/701>)
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sat, 05 May 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.4-0noble) noble; urgency=high

  * Fix last gazebo8 warnings! (lunar-devel) (#664 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/664>)
  * Fix gazebo8 warnings part 7: retry #642 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/642> on lunar (#660 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/660>)
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 12 Feb 2018 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.3-0noble) noble; urgency=high

  * Replace Events::Disconnect* with pointer reset (#626 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/626>)
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Mon, 11 Dec 2017 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.2-0noble) noble; urgency=high

  * Revert gazebo8 changes in Lunar and back to use gazebo7 (#583 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/583>)
  * Contributors: Jose Luis Rivero

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sun, 21 May 2017 00:00:00 -0000

ros-one-gazebo-ros-control (2.7.1-0noble) noble; urgency=high

  * Fixes for compilation and warnings in Lunar-devel  (#573 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/573>)
    Multiple fixes for compilation and warnings coming from Gazebo8 and ignition-math3


=== debian/control ===
Source: ros-one-gazebo-ros-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernández Cordero <ahcorde@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-control-toolbox, ros-one-controller-manager, ros-one-gazebo-dev, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs, ros-one-transmission-interface, ros-one-urdf
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-one-gazebo-ros-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-angles, ros-one-control-toolbox, ros-one-controller-manager, ros-one-gazebo-ros, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs, ros-one-transmission-interface, ros-one-urdf
Description: gazebo_ros_control

## ros-one-gazebo-ros-control 2.9.3-0noble.20260221.2245

=== debian/changelog ===
ros-one-gazebo-ros-control (2.9.3-0noble.20260221.2245) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alejandro Hernández Cordero <ahcorde@osrfoundation.org>  Sat, 21 Feb 2026 22:45:25 +0000
